Name:           sflphone
Version:        0.9.6
Release:        1%{?dist}
Summary:        SIP and IAX2 compatible softphone

Group:          Applications/Communications
License:        GPLv3+
URL:            http://sflphone.org/
Source0:        http://projects.savoirfairelinux.net/attachments/download/411/%{name}-%{version}.tar.gz
Patch0:         sflphone-g722.h-uint8_t-nod-declared.patch
Patch1:         sflphone-kde4-kabc-path.patch
Patch2:         sflphone-noninst-dbus-c++.patch
Patch3:         sflphone-norun-configure.patch
Patch4:         sflphone-kde4-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool
BuildRequires:  alsa-lib-devel
BuildRequires:  expat-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  celt-devel
BuildRequires:  commoncpp2-devel
BuildRequires:  ccrtp-devel
BuildRequires:  cppunit-devel
BuildRequires:  gsm-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libzrtpcpp-devel
BuildRequires:  openssl-devel
BuildRequires:  speex-devel
BuildRequires:  cmake gettext doxygen graphviz
BuildRequires:  kdepimlibs-devel
BuildRequires:  check-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  log4c-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libnotify-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  desktop-file-utils

#BuildRequires:  pjproject
#BuildRequires:  dbus-c++-devel
#BuildRequires:  iax-devel

%description
SFLphone is a SIP/IAX2 compatible softphone for Linux.
The SFLphone project's goal is to create a robust
enterprise-class desktop phone. While it can serve
home users very well, it is designed with a
hundred-calls-a-day receptionist in mind.

%package kde
Summary:          SIP and IAX2 compatible softphone for KDE
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}

%description kde
KDE SFLphone SIP and IAX2 compatible softphone client.


%package gnome
Summary:          SIP and IAX2 compatible softphone for GNOME
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}

%description gnome
GNOME SFLphone SIP and IAX2 compatible softphone client.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
pushd sflphone-common
pushd libs/pjproject-1.0.3
./autogen.sh --prefix=%{_prefix}
%configure
make
popd

./autogen.sh --prefix=%{_prefix}
%configure
make %{?_smp_mflags}
popd

pushd sflphone-client-gnome
./autogen.sh --prefix=%{_prefix}
%configure
make %{?_smp_mflags}
popd

pushd sflphone-client-kde
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
make %{?_smp_mflags}
popd
popd


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C sflphone-common

make install DESTDIR=$RPM_BUILD_ROOT -C sflphone-client-gnome

make install/fast DESTDIR=$RPM_BUILD_ROOT -C sflphone-client-kde/%{_target_platform}


%find_lang sflphone-client-gnome
%find_lang sflphone-client-kde


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/sflphone-client-kde.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post kde
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :


%postun kde
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%posttrans kde
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ringtones
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/org.sflphone.SFLphone.service
%{_datadir}/man/man1/sflphoned.1.*


%files kde -f sflphone-client-kde.lang
%defattr(-,root,root,-)
%doc sflphone-client-kde/AUTHORS sflphone-client-kde/COPYING sflphone-client-kde/README
%{_kde4_bindir}/sflphone-client-kde
%{_kde4_datadir}/applications/kde4/sflphone-client-kde.desktop
%{_kde4_datadir}/config.kcfg/sflphone-client-kde.kcfg
%{_kde4_docdir}/HTML/en/sflphone-client-kde
%{_kde4_datadir}/icons/hicolor/*/apps/sflphone-client-kde*
%{_kde4_appsdir}/sflphone-client-kde
%{_datadir}/man/man1/sflphone-client-kde.1.*


%files gnome -f sflphone-client-gnome.lang
%defattr(-,root,root,-)
%doc sflphone-client-gnome/COPYING sflphone-client-gnome/README
%{_bindir}/%{name}
%{_bindir}/sflphone-client-gnome
%{_datadir}/applications/%{name}.desktop
%{_datadir}/man/man1/sflphone-client-gnome.1.*
%{_datadir}/man/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/%{name}/*svg
%{_datadir}/%{name}/*gif
%{_datadir}/%{name}/log4crc


%changelog
* Wed Nov  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.9.6-1
- Initial RPM release
